<?php

namespace QuiversBopis\Integration\Plugin;

use Magento\Framework\Serialize\SerializerInterface;


class QuoteItemToOrderItemPlugin
{



    public function aroundConvert(\Magento\Quote\Model\Quote\Item\ToOrderItem $subject, callable $proceed, $quoteItem, $data)
    {

        // get order item
        $orderItem = $proceed($quoteItem, $data);

        // get your custom attribute from quote_item . 
        $quoteItemMycustomAttribValue = $quoteItem->getBopisdata();
        $quoteItemMycustomAttribValueCode = $quoteItem->getBopisShippingcode();
        $quoteItemMycustomAttribValueFee = $quoteItem->getBopisShippingfee();
        $orderItem->setBopisdata($quoteItemMycustomAttribValue);
        $orderItem->setBopisShippingcode($quoteItemMycustomAttribValueCode);
        $orderItem->setBopisShippingfee($quoteItemMycustomAttribValueFee);
        
        
        return $orderItem;
    }
}