
var keyofajax = null;
if (document.getElementById('apibaseurl')) {
	var apiBaseUrl = document.getElementById('apibaseurl').value;
}
if (document.getElementById('sitebaseurl')) {
	var siteBaseUrl = document.getElementById('sitebaseurl').value;
}

var postcode = null;
var classNameForError = "mage-error";
var pickitUpButtonId = "product-pickitup-button";
var errorHtml = null;
var message = null;
var formData = null;
var html = "";
var storelist = null;
var show = "processStart";
var hide = "processStop";
var open =document.getElementById('modalopen').value;
var close = document.getElementById('modalclose').value;

function ErrorHtml(classNameForError, htmlid, message) {
	return '<div for="' + htmlid + '" generated="true" class="' + classNameForError + ' id="' + htmlid + '-error">' + message + '</div>';
}

function loderShow(show) {
	jQuery('body').trigger(show);
}

function loderHide(hide) {
	jQuery('body').trigger(hide);
}

function pickItUpValidation(classNameForError) {
	var errorexist = document.getElementsByClassName(classNameForError);
	removeExistError(errorexist);

	var qtyid = "qty";
	var qty = document.getElementById(qtyid);
	if (qty.value == 0 || qty.value == "") {
		var html = '';
		message = "please enter a valid number.";
		qty.classList.add(classNameForError);
		html = ErrorHtml(classNameForError, qtyid, message);
		qty.insertAdjacentHTML("afterend", html);
	}
	jQuery("select").each(function () {
		var fields = jQuery(this).serializeArray();
		id = jQuery(this).attr("id");
		if (fields[0].value == "") {
			var selectid = document.getElementById(id);
			selectid.classList.add(classNameForError);
			message = "This is a required field.";
			html = ErrorHtml(classNameForError, selectid, message);
			selectid.insertAdjacentHTML("afterend", html);
		}

	});
	if (errorexist.length > 0) {
		return false;
	} else {
		return true;
	}
}

function removeExistError(errorexist) {
	if (errorexist.length > 0) {
		var elements = document.querySelectorAll('.' + classNameForError);
		for (var element of elements) {
			if (element.nodeName == 'DIV') {
				element.parentNode.removeChild(element);
			} else {
				element.classList.remove(classNameForError);
			}
		}
	}
}

// function openModalForStore(pickitUpButtonId, classNameForError) {
// 	jQuery(document).on('click', '#' + pickitUpButtonId, function () {
// 		var validate = pickItUpValidation(classNameForError);
// 		console.log(validate);
// 		if (validate === true) {
// 			// getZipcode();
// 			//open modal
// 		}

// 	});
// }


function asyncRunAjax(url, method, reqData, key, type) {
	keyofajax = key;
	return jQuery.ajax({
			url: url,
			dataType: type,
			type: method,
			data: reqData,
			async: "false" ,
			beforeSend: function () {
				loderShow(show);

			}
		});
	
}

function runAjax(url, method, reqData, key, type) {
	keyofajax = key;
	try {
		jQuery.ajax({
			url: url,
			dataType: type,
			type: method,
			data: reqData,
			beforeSend: function () {
				loderShow(show);

			},
			success: function (response) {
				ajaxSuccess(response);
			},
			error: function (xhr, status, error) {
				ajaxError(xhr);
			}
		});
	} catch (err) {
		ajaxError(err);
	}
}

function ajaxSuccess(response) {
	switch (keyofajax) {
		case "zipcodewithlatlong":
			loderHide(hide);
			response = response.result;
			if(response.coordinates){
				setLatLong(response.coordinates);
			}
			if (response.postCode) {
				checkforPickitup(response.postCode);
			} else {
				getZipcodeWithIp();
			}
			break;
		case "zipcodewithIP":
			loderHide(hide);
			response = response.result;
			if(response.coordinates){
				setLatLong(response.coordinates);
			}
			if (response.postCode != null && response.postCode != "") {
				checkforPickitup(response.postCode);
			} else {

			}
			break;
		case "modaldata":
			loderHide(hide);
			storelist = response.result;
			setStoresforconfigProd(storelist);
			postCode = document.getElementById("zipcode").value;
			document.getElementById(pickitUpButtonId).disabled = false;
			getModalBody(storeId = null, bopisstatus = null,
				storelist, postCode, searchTerm = null);
			break;
		case "addtocart":
			jQuery("#store-modal").modal(close);
			document.getElementById("store").value ="";
			document.getElementById("shipping").value ="";
			loderHide(hide);
			if (response.backUrl) {
				window.location.href = response.backUrl;
			}
			break;
		case "zipcode-change":
			{
				loderHide(hide);
				response = response.result;
				postCode = document.getElementById("zipcode").value;
				getModalBody(storeId = null, bopisstatus = null,
					response, postCode, searchTerm = null, shippingmethod = null, search = null);
			}
			break;
		case "editstoreName":
			{
				loderHide(hide);
				if(response && response.success!='true'){
					var selectid = document.getElementById('zipcode');
					var classNameForError = 'mage-error';
					var errorexist = document.getElementsByClassName(classNameForError);
					removeExistError(errorexist);
					html = ErrorHtml(classNameForError, selectid, response.message);
					selectid.insertAdjacentHTML("afterend", html);
					let element = document.getElementById('store-modal');    
					element.scrollIntoView(true);
				}
				if(response && response.success==='true'){
					location.reload();
				}
			}
			break;
			case "editshippingName":
				location.reload();
		    break;
			case "latlongwithpostalcode":
				loderHide(hide);
				if(response.result.coordinates){
					setLatLong(response.result.coordinates);
				}
		    break;
		default:
			// code block
	}
}

function setStoresforconfigProd(stores) {
	if (document.getElementById("quivers-config-option")){
		var configOption = document.getElementById("quivers-config-option").value;
		if (configOption){
			postcodes = [];
			if (document.getElementById("stores")){
				storelist.forEach(function (store, index) {
					postcodes.push(store.address.postalCode);
				});
				if (document.getElementById("postalcodes")){
					document.getElementById("postalcodes").value = JSON.stringify(postcodes);

				}
				document.getElementById("stores").value = JSON.stringify(stores);
			}
		}
	}
}


function ajaxError(err) {
	// Do NOT REMOVE CONSOLE

	if (document.getElementById(pickitUpButtonId)) {
		document.getElementById(pickitUpButtonId).disabled = false;
		loderHide(hide);
	}
	console.log("Quivers Bopis Error :");
	console.log(err);
}

function checkforPickitup(postCode) {
	document.getElementById("userPostalcode").value = postCode;
	document.getElementById("zipcode").value = postCode;
	allpostalcodes = document.getElementById("postalcodes").value;
	allpostalcodes = allpostalcodes.split();
	result = allpostalcodes.includes(postCode);

	getStoreList(postCode);
}

function setLatLong(response){	
	document.getElementById("lat").value=response.latitude;
	document.getElementById("long").value=response.longitude;

}
function getLatLang() {
	var options = {
		enableHighAccuracy: true,
		timeout: 5000,
		maximumAge: 0
	};
	navigator.geolocation.getCurrentPosition(getZipcodewithlatlong, error, options);
}
async function getLatLangwithpostalcode(postCode) {
	url = apiBaseUrl + "v1/geolocation/getlocation?postCode=" + postCode;
	method = "GET";
	result = await asyncRunAjax(url, method, null, "latlongwithpostalcode", null);
	return result;
}

function error(err) {
	getZipcodeWithIp();
}


function getZipcodewithlatlong(pos, getZipcodeWithIp) {
	var crd = pos.coords;
	var lat = crd.latitude;
	var long = crd.longitude;
	url = apiBaseUrl + "v1/geolocation/getlocation?latitude=" + lat + "&longitude=" + long;
	method = "GET";
	runAjax(url, method, null, "zipcodewithlatlong", null);

}

function getZipcodebyApi(postcode) {

	url = apiBaseUrl + "v1/geolocation/getlocation?postCode=" +postcode;
	method = "GET";
	runAjax(url, method, null, "getzipcode", null);

}


function getZipcodeWithIp() {
				method = "GET";
				var ip="";
				jQuery.getJSON("https://api.ipify.org?format=json",function(data) {
					ip = data.ip;
					document.getElementById("custIp").value = ip;
					url = apiBaseUrl + "v1/geolocation/getlocation?ipAddress=" + ip;
					runAjax(url, method, null, 'zipcodewithIP', null);
	
				})
}

function getStoreList(postcode) {
	method = "GET";
	searchterm = document.getElementById("searchterm").value;
	var configOption = document.getElementById("quivers-config-option").value;
	if (configOption){
		var str = "quivers-sku-";
		var element = str.concat(configOption);
		searchterm = document.getElementById(element).value;
		document.getElementById("config-searchterm").value = searchterm;
	}
	if(searchterm!=null){
		storeFrontId = document.getElementById("marketplace").value;
		url = apiBaseUrl + "v1/inventory/getFulfillmentOptions?storefrontId=" + storeFrontId + "&searchTerm=" + searchterm;
		runAjax(url, method, null, "modaldata", null);	
	}

}

function getModalBody(storeId = null, bopisstatus = null,
	storelist, postalcode, searchTerm = null, shippingmethod = null, search = null) {
	html = "";
	storelist = soretdStoreNearestLocation(storelist);
	if (storelist != undefined || storelist != []) {
		storelist.forEach(function (store, index) {
			store  = store[2];
			if (search == null || (search == true)) {
				if (store.stockLevel > 0 && (store.instorePickupEnabled === true || store.curbsidePickupEnabled === true)) {
					active = storeId == store.businessRefId ? "store-active" : "";
					html += '<div style="padding-bottom: 50px;" class="popup-storelist ' + active + '">' +
						'<div>';
					if (active != "") {
						html += '<span>' ;
					}		
						html += '<strong>';
							html += store.businessName;
							html += '</strong></br>';
					if (active != "") {
					    html +=	'</span>';
					}
					
					if(document.getElementById("lat")){
						html+=  '<span class="distance">';
						html+=store.address.miles; 
						html+= ' miles</span>';
					}
			
					html += '</div>' +

						'<p class="store-details">';
	
					html += '</br>';
					html += store.address.line1 == null ? " " : store.address.line1 + " ";
					html += store.address.line2 == null ? " " : "</br> "+store.address.line2 + " ";
					html += '</br>';
					html += store.address.city + "," + store.address.postalCode + "," ;
					html += '</br>';
					html +=store.address.region.name + ","+store.address.country.name;

					html += '</p>' ;
					
					html +=	'<div>' ;

					if(store.storeHours){
						if (store.storeHours.length == 0){
							html +=	'<span class="store-time" style="display:none" >See store hours<div class="tolltipicon">?</div><span class="tooltiptime">';
						}else{
							html +=	'<span class="store-time" >See store hours<div class="tolltipicon">?</div><span class="tooltiptime">';
						}

						// '<img class="store-time-image" src="img/Information.png" />'+
						store.storeHours.forEach(function (time, index) {
							html += '<span class="times">';
							html += "<span class='time-day'>";
							html += getDays(time.dayId);
							html += "</span>";
							html += "<span class='time-day'> : ";
							html += getTime(time.openingTime)+ " AM - ";
							html += getTime(time.closingTime)+ " PM ";
							html += "</span>";
							html += '</span>';
						});
						html += '</span>' ;
						html +=	'</span>' ;
					}
					html +=	'<div class="quivers-popup-buttons">';
					if (store.instorePickupEnabled === true) {
						if (storeId == store.businessRefId && shippingmethod == "1") {
							html += '<span class="selected" >Picking up here</span>';
						} else {
							html += "<a href='javascript:void(0)' onclick='pickhere("+JSON.stringify(store)+','+'1'+','+JSON.stringify(searchTerm)+")'  store='" + JSON.stringify(store) + "' shiping-method='1' searchterm='" + searchTerm + "' countryid='" + store.address.country.id + "'  class='popup-button pick-here action primary '>Pick up here</a>";

						}
					}
					//do not remove
					// if (store.curbsidePickupEnabled === true) {
					// 	if (storeId == store.businessRefId && shippingmethod == "2") {
					// 		html += '<span class="selected" >Picking up here</span>';
					// 	} else {
					// 	html += "<a href='javascript:void(0)' onclick='pickhere("+JSON.stringify(store)+','+'2'+','+searchTerm+")' store='" + JSON.stringify(store) + "' shiping-method='2' searchterm='" + searchTerm + "' countryid='" + store.address.country.id + "'  class='popup-button pick-here action primary '>Curbside</a>";

					// 	}

					// }
					html += '</div>' +
						'</div>' +
						'</div>';
				}
			}
		});

		if (html == "") {
			html = '<div class="alert alert-danger fade in alert-dismissible">Could not find stores for this product near your location. Please change the zipcode and try again</div>';
		}

		document.getElementById('popup-body').innerHTML = html;
	}
	return true;
}

function addToCart() {
	var url = document.getElementById("addToCartUrl").value;
	var formData = jQuery('#product_addtocart_form').serialize();
	var method = 'post';
	formData += '&isAjax=1';
	runAjax(url, method, formData, "addtocart", 'json');
}


function pickhere(store,shipping,searchterm){
	if (document.getElementById("edit").value == "true") {
		postalcode = jQuery(this).attr('postalcode');
		data = {
			searchTerm:searchterm,
			shipping: shipping,
			store :JSON.stringify(store),
			userPostalcode :document.getElementById("zipcode").value
		}
		var array = siteBaseUrl.split("/checkout"); 
		url = array[0] + "bopisquivers/store/add";
		method = "GET";
		runAjax(url, method, data, "editstoreName", 'json');
	} else {
		document.getElementById("shipping").value = shipping;
		document.getElementById("store").value = JSON.stringify(store);
	    addToCart();
	}
}

function updatecart(searchterm) {
	data = {
		searchTerm: document.getElementById("searchTerm").value

	}
    var array = siteBaseUrl.split("/checkout"); 
	url = array[0] + "bopisquivers/store/add";
	method = "GET";
	runAjax(url, method, data, "editstoreName", 'json');
}

function zipcodeValidation(zipcode)
{
	// Pass alphanumeric, hyphen, spaces
	var matchBad = /[^\s\da-z\-]/i;
	if (false === matchBad.test(zipcode)) {
		return true;
	} else { 
		return false;
	}
}

function changezipcode() {
	currentpostcode =document.getElementById("zipcode").value;
	search =null;
	if (currentpostcode == ""){
		html = '<div class="alert alert-danger fade in alert-dismissible">Could not find stores for this product near your location. Please change the zipcode and try again</div>';			
		document.getElementById('popup-body').innerHTML = html;
		return;
	}
	var validate = zipcodeValidation(currentpostcode);
	if (!validate){
		html = '<div class="alert alert-danger fade in alert-dismissible">Could not find stores for this product near your location. Please change the zipcode and try again</div>';			
		document.getElementById('popup-body').innerHTML = html;
		return;
	}
	// if (currentpostcode.length>=4) {
	// 	search =true;
	// }
	if (document.getElementById("edit").value == "true") {
		var searchterm =document.getElementById('searchTerm').value;
		var el =document.getElementById(searchterm);
		stores = JSON.parse(el.value);
		postalcode = el.getAttribute('userlocation');
		document.getElementById("searchTerm").value = searchterm;
		document.getElementsByClassName("update-ship-instead").value = searchterm;
		storeId = el.getAttribute('storeId');
		shippingmethod = el.getAttribute('shipping');
		postCode = document.getElementById("zipcode").value;
		getLatLangwithpostalcode(postCode)
			.then(function(result){
				ajaxSuccess(result);
				getModalBody(storeId = storeId, bopisstatus = null,
					stores, postCode, searchTerm = null, shippingmethod = shippingmethod, search);		
			})
			.catch(function(err){
				ajaxError(err);
				html = '<div class="alert alert-danger fade in alert-dismissible">Could not find stores for this product near your location. Please change the zipcode and try again</div>';			
				document.getElementById('popup-body').innerHTML = html;
			});
	}else 
	{
		document.getElementById('popup-body').innerHTML = "";
		postCode = document.getElementById("zipcode").value;
		getLatLangwithpostalcode(postCode)
			.then(function(result){
				ajaxSuccess(result);
				stores = document.getElementById("stores").value;
				stores = JSON.parse(stores);
				getModalBody(storeId = null, bopisstatus = null,
					stores, postCode, searchTerm = null, shippingmethod = null, search);
							
			})
			.catch(function(err){
				ajaxError(err);
				html = '<div class="alert alert-danger fade in alert-dismissible">Could not find stores for this product near your location. Please change the zipcode and try again</div>';			
				document.getElementById('popup-body').innerHTML = html;
			});
	}
	
	
};

function addstore(data) {
	url = siteBaseUrl + "bopisquivers/store/add";
	method = "GET";
	runAjax(url, method, data);
}


function getDays(day) {
	dayName = null;
	switch (day) {
		case "0":
			return "Sun";
			break;
		case "1":
			return "Mon";
			break;
		case "2":
			return "Tue";
			break;
		case "3":
			return "Wed";
			break;
		case "4":
			return "Thu";
			break;
		case "5":
			return "Fri";
			break;
		case "6":
			return "Sat";
			break;
		default:
			return null;
			break;
	}
}

function getTime(seconds) {
	var date = new Date(null);
	date.setSeconds(seconds);
	var seconds =date.getSeconds();
	var hours = date.getHours();
	var minutes = date.getMinutes();
	hours = hours % 12;
	hours = hours ? hours : 12; // the hour '0' should be '12'
	minutes = minutes < 10 ? '0'+minutes : minutes;

	var strTime = hours + ':' + minutes ;
	return strTime;
}

function storeEdit(searchterm) {

	var el =document.getElementById(searchterm);
	stores = JSON.parse(el.value);
	postalcode = el.getAttribute('userlocation')
	document.getElementById("zipcode").value = postalcode;
	getLatLangwithpostalcode(postalcode)
	.then(function(result){
		ajaxSuccess(result);
		document.getElementById("searchTerm").value = searchterm;
		document.getElementsByClassName("update-ship-instead").value = searchterm;
		storeId = el.getAttribute('storeId');
		shippingmethod = el.getAttribute('shipping');
		bopisstatus=null;
		action =el.getAttribute('action');
		getModalBody(storeId, bopisstatus, stores, postalcode, searchterm, shippingmethod);
		jQuery("#store-modal").modal(action);	})
	.catch(function(err){
		html = '<div class="alert alert-danger fade in alert-dismissible">Could not find stores for this product near your location. Please change the zipcode and try again</div>';			
		document.getElementById('popup-body').innerHTML = html;
		ajaxError(err);
	});	
}

function getDistanceFromLatLonIn(lat2,lon2) {
	lat1 =document.getElementById("lat").value;
	lon1 = document.getElementById("long").value;
	var R = 6371; // Radius of the earth in km
	var M =0.62137;
	var dLat = deg2rad(lat2-lat1);  // deg2rad below
	var dLon = deg2rad(lon2-lon1); 
	var a = 
	Math.sin(dLat/2) * Math.sin(dLat/2) +
	Math.cos(deg2rad(lat1)) * Math.cos(deg2rad(lat2)) * 
	Math.sin(dLon/2) * Math.sin(dLon/2)
	; 
	var c = 2 * Math.atan2(Math.sqrt(a), Math.sqrt(1-a)); 
	var d = R * c; // Distance in km
	var miles =d* M
	miles =miles.toFixed(2);
	return  miles; // Distance in Miles
	
}
  
function deg2rad(deg) {
	return deg * (Math.PI/180)
}

function addtocartpickup(action){
	pickItUpValidation();
	jQuery("#store-modal").modal(action);
}

function soretdStoreNearestLocation(stores){
	sortedstore =null;
	allmiles = [];
	if (stores != undefined || stores != []) {
		stores.forEach(function (store, index) {
			var lat2 =store.address.latitude;
			var lon2  =store.address.longitude;
			miles = getDistanceFromLatLonIn(lat2 ,lon2);
			store.address['miles'] = miles;
			allmiles.push(miles);
  
  		});
		var storelist = Object.keys(stores).map(function(key) {
			return [key, stores[key].address.miles, stores[key]];
		});
		
		// Sort the array based on the second element
		storelist.sort(function(first, second) {
			return first[1] - second[1] ;
		});
		return storelist;
		}
	else {
		storelist =[];
	}
}

function focusChange(uniqueSelectID){
	el = document.getElementById('bopis-shipping-'+uniqueSelectID);
	selectedmethod =el.options[el.selectedIndex].getAttribute("method_code");
	jQuery('#dropdown_previous_shipping-'+uniqueSelectID).val(selectedmethod);

}

function updateShipping(searchterm, uniqueSelectID) {
	el = document.getElementById('bopis-shipping-'+uniqueSelectID);
	shippingcode =el.options[el.selectedIndex].getAttribute("method_code");
	price =el.options[el.selectedIndex].getAttribute("price");
	label =el.options[el.selectedIndex].getAttribute("method_title");
	selectedmethod =JSON.stringify(el.options[el.selectedIndex].getAttribute("method"));
	result = confirm("Please select a single shipping method for all the Shipped items.");
	if (result) {

		data = {
			searchTerm:searchterm ,
			shippingcode:shippingcode,
			price:price,
			title:label,
			selectedmethod:selectedmethod
		}
		var array = siteBaseUrl.split("/checkout"); 
		url = array[0] + "bopisquivers/shipping/methods";
		
		method = "GET";
		runAjax(url, method, data, "editshippingName", 'json');
	} 
	else{
		var prev = jQuery('#dropdown_previous_shipping-'+uniqueSelectID).val();
		jQuery('#bopis-shipping-'+uniqueSelectID).val(prev);
		return;              
	}
	
}
