define([
    'jquery',
    'mage/translate',
    'jquery/ui'
],
function ($, $t) {
    'use strict';

    return function (target) {
        var bopisstatus = 0;
        if(document.getElementById("bopisstatus")){
            bopisstatus = document.getElementById("bopisstatus").value;
        }
        if (bopisstatus == 1){
            $.widget('mage.configurable', target, {
                
                _configureElement: function (element) {
                    this.simpleProduct = this._getSimpleProductId(element);
        
                    if (element.value) {
                        this.options.state[element.config.id] = element.value;
        
                        if (element.nextSetting) {
                            element.nextSetting.disabled = false;
                            this._fillSelect(element.nextSetting);
                            this._resetChildren(element.nextSetting);
                        } else {
                            if (!!document.documentMode) { //eslint-disable-line
                                this.inputSimpleProduct.val(element.options[element.selectedIndex].config.allowedProducts[0]);
                                $('#quivers-config-option').val(element.options[element.selectedIndex].config.allowedProducts[0]).trigger('change');
                            } else {
                                this.inputSimpleProduct.val(element.selectedOptions[0].config.allowedProducts[0]);
                                $('#quivers-config-option').val(element.selectedOptions[0].config.allowedProducts[0]).trigger('change');
                            }
                        }
                    } else {
                        this._resetChildren(element);
                    }
        
                    this._reloadPrice();
                    this._displayRegularPriceBlock(this.simpleProduct);
                    this._displayTierPriceBlock(this.simpleProduct);
                    this._displayNormalPriceLabel();
                    this._changeProductImage();
                }
            });    
        }

        return $.mage.configurable;
    };
});